Name:       perl-Directory-Scratch 
Version:    0.14 
Release:    5%{?dist}
# see lib/Directory/Scratch.pm (perl)
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Self-cleaning scratch space for tests 
Source:     http://search.cpan.org/CPAN/authors/id/J/JR/JROCKWAY/Directory-Scratch-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/Directory-Scratch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) 
BuildRequires: perl(Carp)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Slurp) >= 9999.12
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::stat)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)


%description
When writing test suites for modules that operate on files, it's often 
inconvenient to correctly create a platform-independent temporary storage
space, manipulate files inside it, then clean it up when the test exits.  
The inconvenience usually results in tests that don’t work everwhere, or 
worse, no tests at all.

This module aims to eliminate that problem by making it easy to do things
right.


%prep
%setup -q -n Directory-Scratch-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc README Changes examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.14-5
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 10 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.14-2
- brush up for submission

* Wed Dec 10 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.14-1
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.6)

